Bug 181115 - [maintainer update] net-im/jitsi update (1.1 -> 2.2)
Summary: [maintainer update] net-im/jitsi update (1.1 -> 2.2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-07 17:30 UTC by Tzanetos Balitsaris
Modified: 2013-08-14 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.42 KB, patch)
2013-08-07 17:30 UTC, Tzanetos Balitsaris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tzanetos Balitsaris 2013-08-07 17:30:00 UTC
-- Update to latest stable version (Jitsi 2.2)
-- Added files/jitsi.1 (Manual page for Jitsi created for the port)

Fix: Patch attached with submission follows:
Comment 1 Carlo Strub freebsd_committer 2013-08-07 18:39:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-08-14 09:23:07 UTC
Author: cs
Date: Wed Aug 14 08:22:59 2013
New Revision: 324687
URL: http://svnweb.freebsd.org/changeset/ports/324687

Log:
  - Update to 2.2
  - Add a man page
  
  PR:		ports/181115
  Submitted by:	Tzanetos Balitsaris <tzabal@it.teithe.gr> (maintainer)

Added:
  head/net-im/jitsi/files/jitsi.1   (contents, props changed)
Modified:
  head/net-im/jitsi/Makefile
  head/net-im/jitsi/distinfo

Modified: head/net-im/jitsi/Makefile
==============================================================================
--- head/net-im/jitsi/Makefile	Wed Aug 14 08:05:02 2013	(r324686)
+++ head/net-im/jitsi/Makefile	Wed Aug 14 08:22:59 2013	(r324687)
@@ -2,22 +2,20 @@
 # $FreeBSD$
 
 PORTNAME=	jitsi
-PORTVERSION=	1.1
+PORTVERSION=	2.2
 CATEGORIES=	net-im java
-MASTER_SITES=	https://download.jitsi.org/jitsi/nightly/src/ \
-		http://aetos.it.teithe.gr/~tzabal/files/
-DISTNAME=	jitsi-src-1.1.4456.10418
+MASTER_SITES=	http://www.c-s.li/ports/ \
+		https://download.jitsi.org/jitsi/src/
+DISTNAME=	jitsi-src-2.2.4603.9615
 
 MAINTAINER=	tzabal@it.teithe.gr
 COMMENT=	Open source IM and VoIP application
 
+MAN1=		jitsi.1
 USE_ZIP=	yes
 USE_JAVA=	yes
 USE_ANT=	yes
 MAKE_ARGS=	rebuild
-USE_LDCONFIG=	yes
-
-WRKSRC=		${WRKDIR}/${PORTNAME}
 
 DESKTOP_ENTRIES="Jitsi" \
 		"VoIP and Instant Messenger" \
@@ -65,6 +63,10 @@ do-install:
 	@${ECHO_CMD} ">> Installing wrapper script..."
 	@${INSTALL_SCRIPT} ${FILESDIR}/jitsi.sh ${PREFIX}/bin/jitsi
 
+# Manual page
+	@${ECHO_CMD} ">> Installing the manual page..."
+	@${INSTALL_MAN} ${FILESDIR}/jitsi.1 ${MANPREFIX}/man/man1
+
 # Desktop related
 	@${ECHO_CMD} ">> Installing Jitsi's logo..."
 	@${INSTALL_DATA} ${WRKSRC}/resources/images/logo/sc_logo_128x128.png \

Modified: head/net-im/jitsi/distinfo
==============================================================================
--- head/net-im/jitsi/distinfo	Wed Aug 14 08:05:02 2013	(r324686)
+++ head/net-im/jitsi/distinfo	Wed Aug 14 08:22:59 2013	(r324687)
@@ -1,2 +1,2 @@
-SHA256 (jitsi-src-1.1.4456.10418.zip) = 07f3ff843ed583f54697892e3311a82f2fa6d15f69b7aa79eb3978be90d65d85
-SIZE (jitsi-src-1.1.4456.10418.zip) = 61050111
+SHA256 (jitsi-src-2.2.4603.9615.zip) = abee87346f2732d1e55f383c1bddafed7aee1e63b92b9d1854cde0679fc85ecf
+SIZE (jitsi-src-2.2.4603.9615.zip) = 64168863

Added: head/net-im/jitsi/files/jitsi.1
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jitsi/files/jitsi.1	Wed Aug 14 08:22:59 2013	(r324687)
@@ -0,0 +1,60 @@
+.Dd August 05, 2013
+.Dt JITSI 1
+.Os
+.Sh NAME
+.Nm jitsi
+.Nd a VoIP, videoconferencing and instant messaging application
+.Sh SYNOPSIS
+.Nm
+.Op Ar options
+.Op Ar uri-to-call
+.Sh DESCRIPTION
+.Nm Jitsi
+is a VoIP, videoconferencing and instant messaging application available in a variety of operating systems. It supports several protocols including SIP and SIMPLE, XMPP and Jingle, MSNP, YMSG, and OSCAR. These protocols are used by major communication services/networks (Google Talk, Facebook Chat, MSN, Yahoo! Messenger, AIM, ICQ). Voice and video calls can be done using SIP and XMPP, file transfers with XMPP, MSNP, YMSG, and OSCAR, and instant messaging with SIP (no multi-user chats), XMPP, MSNP, YMSG, an d OSCAR.
+.Pp
+The following options are available:
+.Bl -tag -width indent
+.It Fl c, -config= Ar DIR
+Use the directory
+.Ar DIR
+for the configuration files. The default directory is
+.Pa $HOME/.jitsi
+.It Fl d, -debug
+Print debugging messages to stdout.
+.It Fl h, -help
+Print the current version, the list of available options, and exit.
+.It Fl m, -multiple
+Allow more than one instance launch.
+.It Fl 6, -ipv6
+Force use of IPv6 addresses where possible.
+.It Fl 4, -ipv4
+Force use of IPv4 addresses only.
+.It Fl v, -version
+Print the current version and exit.
+.El
+.Pp
+The optional
+.Ar uri-to-call
+parameter can be specified to start a call from the command-line. If Jitsi is already running then the call is handled by the running instance, except when it is explicitly told to allow multiple instance launch.
+.Sh IMPLEMENTATION NOTES
+Jitsi is an open source application mostly written in Java with some parts (such as audio/video capture and rendering) written in native code. Its GUI is based on the widget toolkit Swing. Its architecture is build upon the OSGi framework, using the implementation provided by Apache Felix.
+.Pp
+A good resource about the internals of Jitsi can be found in the
+.Sq Jitsi Chapter
+of the
+.Sq The Architecture of Open Source Applications
+book.
+.Ad http://www.aosabook.org/en/jitsi.html
+.Sh FILES
+.Pa $HOME/.jitsi
+The default directory for the configuration files of jitsi
+.Sh AUTHORS
+.An -nosplit
+Jitsi was created by
+.An "Emil Ivov" Aq  emcho@jitsi.org
+and currently is being developed by the
+.An "Jitsi Team and Contributors" Aq https://jitsi.org/Development/TeamAndContributors
+.Pp
+This manual page was written by
+.An "Tzanetos Balitsaris" Aq tzabal@it.teithe.gr
+as part of the Jitsi FreeBSD port.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Carlo Strub freebsd_committer 2013-08-14 09:23:15 UTC
State Changed
From-To: open->closed

Committed. Thank you very much. I needed to remove your server because it issued a forbidden statement. As the original server seems very slow and changes the distfile daily, I added my own repository for downloading. Anyway, important is to get sound now :-)